c = EDJE.collection("euphoria")
parent = c.part("player.normal.group.display")

TEXT_COLOR = "#95e3fd"
OUTLINE_COLOR = "#01366bc1"

c.part("player.time", :text) do |p|
	p.effect = :outline

	p.description do |d|
		d.rel[0].to = d.rel[1].to = parent
		d.rel[0].set_offset(15, 9)
		d.rel[1].set_rel(0.0, 0.0)
		d.rel[1].set_offset(75, 24)

		d.color = TEXT_COLOR
		d.outline_color = OUTLINE_COLOR

		d.text = "00:06:35"
		d.font = "acknowledge2.ttf"
		d.font_size = 15
		d.set_text_align(1.0, 0.5)
	end
end

c.part("player.songname", :text) do |p|
	p.effect = :outline

	p.description do |d|
		d.color = TEXT_COLOR
		d.outline_color = OUTLINE_COLOR

		d.set_align(0.0)

		d.text = "Metallica - Battery"
		d.font = "acknowledge2.ttf"
		d.font_size = 14
		d.set_text_min(true, true)
		d.set_text_align(0.0)
	end
end

c.part("player.songname.clip", :rect) do |p|
	p.description do |d|
		d.rel[0].to = d.rel[1].to = parent
		d.rel[0].set_offset(13, 66)
		d.rel[1].set_rel(0.0, 0.0)
		d.rel[1].set_offset(154, 78)
	end

	c.part("player.songname").clip = p
	c.part("player.songname").description do |d|
		d.rel[0].to = d.rel[1].to = p
	end
end

c.program("player.time.toggle_display", :emit_signal) do |p|
	p.signal = "mouse,down,1,double"
	p.source = "player.time"
	p.emission_signal = "TOGGLE_TIME_DISPLAY_MODE"
end
