c = EDJE.collection("euphoria")
root = c.part("root")
bottom = []

c.part("player.normal.group.drawer.bottom", :rect) do |p|
	bottom << p

	p.description do |d|
		d.visible = false
		d.color = "#00000000"

		d.rel[0].to = d.rel[1].to = root
		d.rel[0].set_offset(45, 0)

		d.rel[1].set_rel(0.0, 0.0)
		d.rel[1].set_offset(226, 177)
	end

	p.description("visible") do |d|
		d.visible = true
		d.color = "#00000000"
	end
end

c.part("player.background.drawer.bottom.shadow", :image) do |p|
	bottom << p

	p.description do |d|
		d.rel[0].to = d.rel[1].to = bottom.first
		d.image = "background-drawer-bottom-shadow.png"
	end
end

c.part("player.background.drawer.bottom.top", :image) do |p|
	bottom << p

	p.description do |d|
		d.rel[0].to = d.rel[1].to = bottom.first

		d.auto_rel = true
		d.image = "background-drawer-bottom-top.png"
	end
end

c.part("player.background.drawer.bottom.bottom", :image) do |p|
	bottom << p

	p.description do |d|
		d.rel[0].to = d.rel[1].to = bottom.first
		d.rel[0].set_offset(0, 37)

		d.auto_rel = true
		d.image = "background-drawer-bottom-bottom.png"
	end
end

c.part("player.background.drawer.bottom.arm", :image) do |p|
	bottom << p

	p.description do |d|
		d.rel[0].to = d.rel[1].to = bottom.first
		d.rel[0].set_offset(64, 0)

		d.auto_rel = true
		d.image = "background-drawer-bottom-arm.png"
	end
end

c.part("player.background.drawer.bottom.title", :image) do |p|
	bottom << p

	p.description do |d|
		d.rel[0].to = d.rel[1].to = bottom.first
		d.rel[0].set_offset(9, 26)

		d.auto_rel = true
		d.image = "background-drawer-bottom-title.png"
	end
end

h = {"eq" => 9,
     "options" => 39,
     "colorthemes" => 94}
h.each do |name, (x, im)|
	bottom << Button.new(c, "player.button." << name, bottom.first,
	                     "button-#{im || name}", x, 151).part
end

c.part("player.background.drawer.bottom.clip", :rect) do |p|
	p.description do |d|
		d.rel[0].to = d.rel[1].to = root
		d.rel[0].set_offset(45, 155)
		d.rel[1].set_rel(0.0, 0.0)
		d.rel[1].set_offset(226, 332)
	end

	bottom.each { |i| i.clip = p }

	c.part("player.normal.group.drawer.bottom").description("visible") do |d|
		d.rel[0].to = d.rel[1].to = p
	end
end

{"show" => "visible", "hide" => "default"}.each do |prog, state|
	c.program("player.normal.group.drawer.bottom.#{prog}",
	          :set_state) do |p|
		p.state = state
		p.time = 0.5
		p.targets <<
			ProgramTarget.new(c.part("player.normal.group.drawer.bottom"))
	end
end
