c = EDJE.collection("euphoria")
root = c.part("root")

buttons = []

def image_from_name(name)
	md = name.match(/\.(.*)$/)
	md.nil? ? name : md.captures.first.gsub(".", "-")
end

h = {"player.button.play" => ["playback.play", [121, 133]],
     "player.button.pause" => ["playback.pause", [90, 133]],
     "player.button.stop" => ["playback.stop", [155, 133]],
     "player.button.next" => ["playback.next", [184, 135]],
     "player.button.prev" => ["playback.prev", [60, 134]]}
h.each do |name, (sig, (x, y))|
	buttons << SignalButton.new(c, name, root, image_from_name(name),
	                            x, y, sig).part
end

{"player.button.play.led" => [132, 142],
 "player.button.pause.led" => [98, 142],
 "player.button.stop.led" => [163, 142],
 "player.button.next.led" => [194, 143],
 "player.button.prev.led" => [68, 143]}.each do |name, (x, y)|
	ButtonLed.new(c, name, root, image_from_name(name), x, y)
end

h = {"player.button.close" => ["close", [206, 5]],
     "player.button.switch" => [nil, [186, 5]],
     "player.button.minimize" => [nil, [166, 5]],
     "player.button.system" => [nil, [50, 5]]}
h.each do |name, (sig, (x, y))|
	args = [c, name, root, image_from_name(name), x, y]
	args << sig unless sig.nil?

	buttons << (sig.nil? ? Button : SignalButton).new(*args).part
end

c.part("player.background.buttons.clip", :rect) do |p|
	p.description do |d|
		d.rel[0].to = d.rel[1].to = root
		d.rel[0].set_offset(45, 0)
		d.rel[1].set_rel(0.0, 0.0)
		d.rel[1].set_offset(240, 175)
	end

	buttons.each { |button| button.clip = p }
end
